
// file    : person.cs
// version : 2.0.0.0
// compile : csc /target:library
//               /out:person2000\person.dll
//               person2000\person.cs
// note    : compile from parent directory

using System;
using System.Reflection;

[assembly:AssemblyKeyFile(@"..\key.snk")]
[assembly:AssemblyVersion("2.0.0.0")]

public class Person {

  public Person(string firstName, string lastName, int age) {

    AssemblyName aName = GetType().Assembly.GetName();
    Console.WriteLine("----------------------");
    Console.WriteLine("name    : {0}", aName.Name);
    Console.WriteLine("version : {0}", aName.Version);
    Console.WriteLine("----------------------");

    FirstName = firstName;
    LastName = lastName;
    Age = age;
  }

  public readonly string FirstName;
  public readonly string LastName;
  public readonly int Age;
}