<!-- colorform.aspx -->

<%@ Page Language="C#" Debug="true" %>
<%@ Register
  TagPrefix="userColors"
  TagName="userColor"
  Src="usercolor.ascx" %>

<script runat="server">
  protected override void OnLoad(EventArgs e) {
    base.OnLoad(e);
    body.Attributes["bgcolor"]  = userColorControl.Color;
    userColorControl.Visible = !userColorControl.Visible;
  }
</script>


<html><head><title>The UserColor Control</title></head>
  <body id="body" runat="server">
    <h1>The UserColor Control</h1>
    <form runat='server'>
      <userColors:userColor id="userColorControl" runat="server"/>
      <p>
        This form uses the UserColor user control.
        When you submit the form the selected color
        will be used to set the page's background color.
      </p>
      <asp:button
        text="Submit"
        Font-Name="Verdana"
        Font-Size="7pt"
        BorderColor="black"
        type="submit"
        runat="server"/>
    </form>
  </body>
</html>
