<!-- tableform.aspx -->

<%@ Page Language="C#" Debug="true" %>
<%@ Import Namespace="System"%>
<%@ Import Namespace="System.Web.UI"%>

<script runat="server">

protected override void OnLoad(EventArgs e) {

  base.OnLoad(e);

  int cellNum = 0;
  if (IsPostBack) {
    try {
      cellNum = Int32.Parse(cellTextBox.Text);
    } catch (Exception) {
      cellNum = 0; // don't highlight any cell
    }
  }

  int rows = 3, cols = 3, num = 0;
  for (int i = 0; i < rows; i++) {
    HtmlTableRow htmlRow = new HtmlTableRow();
    for (int j = 0; j < cols; j++) {
      num++;
      HtmlTableCell htmlCell = new HtmlTableCell();
      htmlCell.Controls.Add(new LiteralControl(num.ToString()));
      if (num == cellNum)
        htmlCell.BgColor="Yellow";
      htmlRow.Cells.Add(htmlCell);
    }
    myTable.Rows.Add(htmlRow);
  }
}
</script>

<html><head><title>HtmlTable Example</title></head>
<body>
  <h1>HtmlTable Example</h1>

  <form runat="server">

    <table
      id="myTable"
      border="1"
      cellPadding="10"
      cellSpacing="1"
      runat="server" />

    <p>
      Cell#
      <asp:textbox
        id="cellTextBox"
        columns="1"
        maxLength="1"
        runat="server"/>
      <br>
      <input
        type="submit"
        value="Highlight Cell"
        runat="server">
    </p>

  </form>
</body>
</html>
