<!-- traceform.aspx -->

<%@ Page Language="C#" Trace="True" %>

<script runat="server">

  // greet the user...
  private void greetHandler(object sender, EventArgs e) {

    Trace.Warn("*** Entering greetHandler ***");

    firstNameTextBox.Text = firstNameTextBox.Text.Trim();

    Trace.Warn("*** First Name = '" +
      firstNameTextBox.Text + "' ***");

    if (firstNameTextBox.Text == "") {
      // no name, so no greeting...
      greetingLabel.Text = "";
      Trace.Warn("*** No greeting ***");
    } else {
      // greet the user...
      greetingLabel.Text =
        "Hello, " + firstNameTextBox.Text + "!";
    }
    Trace.Warn("*** Greeting = '" + greetingLabel.Text + "' ***");
  }
</script>

<html><head><title>Hello Web Form</title></head>

<body>
  <h1>Hello Web Form</h1>
  <form action='helloform.aspx' method='POST' runat='server'>

  <asp:label text="What's Your First Name?" runat="server"/>
  <asp:textbox id="firstNameTextBox" runat="server"/>
  <asp:button
    id="greetButton"
    text="Greet"
    OnClick="greetHandler"
    runat="server"/>
  <p>
  <asp:label id="greetingLabel" runat="server"/>
  </p>

  </form>
</body>
</html>
