' file:         compok.vbs
' description:  VBScript poker game
' execute:      cscript compok.vbs

wscript.stdout.writeLine "A simple poker game..."
wscript.stdout.writeLine "Hit Ctrl-c at any time to abort"
wscript.stdout.writeLine

set machine = wscript.createObject("Poker.SimpleMachine")
do while true ' play forever

  set dealHand = machine.Deal()
  wscript.stdout.writeLine dealhand.Text

  wscript.stdout.write "Enter card numbers (1 to 5) to hold: "
  holdCards = wscript.stdin.readLine

  set drawHand = machine.Draw(dealHand, holdCards)
  wscript.stdout.writeLine drawHand.Text
  wscript.stdout.writeLine drawHand.Title
  wscript.stdout.writeLine "Score = " & drawHand.Score
  wscript.stdout.writeLine

loop