// file    : person.cs
// compile : csc person.cs

using System;
using System.IO;
using System.Xml.Serialization;

[XmlRootAttribute]
public class Person {

  [XmlElementAttribute]
  public string FirstName;

  [XmlElementAttribute]
  public string LastName;

  public static void Main() {

    Console.WriteLine("generating person.xml");

    // create a new Person...
    Person p = new Person();
    p.FirstName = "Joe";
    p.LastName = "Bloggs";

    // serialize to disk...
    XmlSerializer sr = new XmlSerializer(typeof(Person));
    TextWriter tw = new StreamWriter("person.xml");
    sr.Serialize(tw, p);
    tw.Close();
  }
}