// file    : personrep.cs
// compile : csc personrep.cs

using System;
using System.IO;
using System.Xml;
using System.Xml.Xsl;
using System.Xml.XPath;

public class PersonRep {

  public static void Main() {

    Console.WriteLine("generating person.html");

    // load the XML document...
    XPathDocument xd =
      new XPathDocument(new XmlTextReader("Person.xml"));

    // create HTML output file...
    TextWriter tw = new StreamWriter("Person.html");

    // load the XSLT rules...
    XslTransform xt = new XslTransform();
    xt.Load("person.xsl");

    // perform the transformation...
    xt.Transform(xd, null, tw);
    tw.Close();
  }
}