// file    : pubsedit.cs
// compile : csc pubsedit.cs

using System;
using System.Data;
using System.Data.SqlClient;

public class PubsEdit {

  public static void Main() {

    // change the following connection string, as necessary...
    string con =
      @"server=(local)\NetSDK;database=pubs;trusted_connection=yes";

    DataSet ds = new DataSet("PubsDataSet");
    DataRow dr;
    SqlDataAdapter sda;
    string sql;

    // get an author...
    sql = "SELECT * FROM authors WHERE au_lname = 'White'";
    sda = new SqlDataAdapter(sql, con);
    sda.Fill(ds, "authors");
    dr = ds.Tables["authors"].Rows[0];

    // create a SqlCommandBuilder to ...
    // automatically generate the update command...
    SqlCommandBuilder scb = new SqlCommandBuilder(sda);

    // edit author row...
    dr.BeginEdit();
    dr["au_lname"] = "Black";
    dr.EndEdit();
    sda.Update(ds, "authors"); // update database
    ds.AcceptChanges(); // accept changes to DataSet
  }
}