// file:    base64service.cs
// compile: csc /target:library
//              /r:istringencoder.dll
//              base64service.cs

using System;
using System.Text;

namespace RemoteEncoder {

  public class Base64Service : MarshalByRefObject, IStringEncoder {

    public string Encode(string s) {
      byte[] b = Encoding.ASCII.GetBytes(s);
      return Convert.ToBase64String(b);
    }

    public string Decode(string s) {
      byte[] b = Convert.FromBase64String(s);
      return Encoding.ASCII.GetString(b);
    }
  }
}