// file:    helloclient.cs
// compile: csc /r:helloservicest.exe helloclient.cs

using System;
using System.Runtime.Remoting;
using System.Runtime.Remoting.Channels;
using System.Runtime.Remoting.Channels.Tcp;

class HelloClient {

  public static void Main(string[] args) {

    ChannelServices.RegisterChannel(new TcpChannel());

    HelloObj helloObjRef = (HelloObj)Activator.GetObject(
      typeof(HelloObj),
      "tcp://localhost:6789/HelloObj"
    );

    Console.WriteLine(helloObjRef.Greet("Joe Bloggs"));
    Console.WriteLine(helloObjRef.Greet("Mary Bloggs"));
  }
}