// file:    helloclientca2.cs
// compile: csc /r:helloservice.exe helloclientca2.cs

using System;
using System.Threading;
using System.Runtime.Remoting;
using System.Runtime.Remoting.Lifetime;

class HelloClient {

  public static void Main(string[] args) {

    Console.WriteLine("starting HTTP Hello client...");
    string configFile = "helloclient.exe.http.ca.config";
    RemotingConfiguration.Configure(configFile);
    HelloObj helloObjRef = new HelloObj();

    ILease lease = (ILease)helloObjRef.GetLifetimeService();

    while (true) {

      Console.WriteLine(helloObjRef.Greet("Joe Bloggs"));
      Console.WriteLine(helloObjRef.Greet("Mary Bloggs"));

      Console.WriteLine("CurrentState     : " +
        lease.CurrentState);
      Console.WriteLine("CurrentLeaseTime : " +
        lease.CurrentLeaseTime);
      Console.WriteLine("InitialLeaseTime : " +
        lease.InitialLeaseTime);
      Console.WriteLine("RenewOnCallTime  : " +
        lease.RenewOnCallTime);
      Console.WriteLine();

      Thread.Sleep(10000); // sleep for 10 seconds
    }
  }
}