// file:    helloclient1a.cs
// compile: csc /out:helloclient1a.exe
//              helloclient1a.cs helloservice1.cs

namespace Hello {

  using System;
  using System.Threading;
  using System.Runtime.Remoting.Messaging;
  using System.Web.Services.Protocols;

  class HelloClient1a {

    public static void Main(string[] args) {
      string name = "";
      if (args.Length > 0) name = args[0];
      new HelloClient1a(name);
    }

    public HelloClient1a(string name) {
      HelloService1 hs = new HelloService1();
      AsyncCallback ac = new AsyncCallback(this.GreetCallback);
      IAsyncResult ar = hs.BeginGreet(name, ac, hs);

      while (waitingOnReply) Thread.Sleep(500);
      Console.WriteLine("Done!");
    }

    private void GreetCallback(IAsyncResult ar) {
      HelloService1 hs = (HelloService1) ar.AsyncState;
      string reply = hs.EndGreet(ar);
      Console.WriteLine("callback: " + reply);
      waitingOnReply = false;
    }

    private bool waitingOnReply = true;
  }
}