// file:    helloclient2.cs
// compile: csc /out:helloclient2.exe
//              helloclient2.cs helloservice2.cs

namespace Hello {

  using System;
  using System.Net;

  class HelloClient2 {

    public static void Main(string[] args) {

      HelloService2 h = new HelloService2();

      string argLine = String.Join(" ", args).ToLower() + " ";
      if (argLine.IndexOf("/state") >= 0)
        h.CookieContainer = new CookieContainer(); // enable state
      else
        h.CookieContainer = null; // stateless

      for (int i = 0; i < 3; i++) {
        Console.WriteLine(h.Greet("Mary"));
        Console.WriteLine("Num. Greet.: {0}", h.NumGreet());
        Console.WriteLine("Num. Inst.: {0}", h.NumInst());
      }
    }
  }
}