// file    : scrollform.cs
// compile : csc /t:winexe scrollform.cs

using System;
using System.Drawing;
using System.Windows.Forms;

namespace MyForms {

  public class ScrollForm : Form {

    public static void Main(string[] args) {

      ScrollForm f = new ScrollForm();
      f.AutoScroll = false;             // switch off AutoScroll
      f.Text = "AutoScroll Off";

      if (args.Length > 0)
        if (args[0].ToLower() == "/autoscroll") {
          f.AutoScroll = true;          // switch on AutoScroll
          f.Text = "AutoScroll On";
        }
      Application.Run(f);
    }

    public ScrollForm() {

      Width = 200;
      Height = 200;

      Button b = new Button();
      b.Location = new Point(10, 10);
      b.Size = new Size(300, 30);
      b.Text = "My Button";
      Controls.Add(b);
    }
  }
}
