// file    : wndprocform.cs
// compile : csc /t:winexe wndprocform.cs

using System;
using System.Windows.Forms;

namespace CustForms {

  public class WndProcForm : Form {

    public static void Main() {
      Application.Run(new WndProcForm());
    }

    public WndProcForm() {
      Height = 100;
      CenterToScreen();
      Text = "Title Bar Inactive - Alt-F4 to Close";
    }

    protected override void WndProc(ref Message m) {
      if (m.Msg >= WM_NCLBUTTONDOWN &&
          m.Msg <= WM_NCMBUTTONDBLCLK)
        return; // disable non-client clicks
      base.WndProc(ref m); // allow other messages to proceed
    }

    private int WM_NCLBUTTONDOWN    = 0x00A1;
    private int WM_NCMBUTTONDBLCLK  = 0x00A9;
  }
}
