// file : behindform.cs

using System;
using System.Web.UI;
using System.Web.UI.WebControls;

public class BehindForm : Page {

  protected TextBox firstNameTextBox;
  protected Label greetingLabel;

  // greet the user...
  protected void greetHandler(object sender, EventArgs e) {

    firstNameTextBox.Text = firstNameTextBox.Text.Trim();
    if (firstNameTextBox.Text == "") {
      // no name, so no greeting...
      greetingLabel.Text = "";
    } else {
      // greet the user...
      greetingLabel.Text =
        "Hello, " + firstNameTextBox.Text + "!";
    }
  }
}
