// file : MobPok.cs
// This is the codebehind logic for MobPok.aspx.

namespace Poker {

  using System;
  using System.Web.UI.MobileControls;

  public class MobPok : System.Web.UI.MobileControls.MobilePage {

    protected void dealDrawHandler(object Source, EventArgs e) {
      Hand h;
      if (dealDrawCommand.Text == "DEAL") {

        // deal...
        h = new SimpleMachine().Deal();
        handLabel.Text = h.Text;
        dealDrawCommand.Text = "DRAW";
        holdTextBox.Visible = true;
        holdTextBox.Text = " ";
        messageLabel.Text = "Hold and Draw";
        return;
      }

      // draw...
      string holdCards = holdTextBox.Text;
      h = new SimpleMachine().Draw(handLabel.Text, holdCards);
      handLabel.Text = h.Text;
      dealDrawCommand.Text = "DEAL";
      holdTextBox.Visible = false;
      messageLabel.Text = h.Title;
    }

    protected Label handLabel,messageLabel;
    protected TextBox holdTextBox;
    protected Command dealDrawCommand;
  }
}
