--   file        :  pokdb.sql
--   description :  .NET Video Poker database creation script
--   execute     :  osql -E -S(local)\NetSDK -ipokdb.sql

-- DROP DATABASE poker

CREATE DATABASE poker
GO
USE poker

CREATE TABLE games (
  id INT IDENTITY(1,1) PRIMARY KEY,
  date_time DATETIME NOT NULL DEFAULT( getdate() ),
  hand CHAR(15) NOT NULL,
  score INT NOT NULL,
  bet INT NOT NULL)

INSERT INTO games(hand, score, bet)
  VALUES ('QC 7C QH KS QS ', 4, 1)

INSERT INTO games(hand, score, bet)
  VALUES ('QC JD 6H 5C KH ', 0, 1)

INSERT INTO games(hand, score, bet)
  VALUES ('KC 2C KD JD 6C ', 2, 1)

CREATE TABLE integers (
  name CHAR(30) PRIMARY KEY,
  value INT NOT NULL)

INSERT INTO integers(name, value) VALUES ('MinBet', 1)
INSERT INTO integers(name, value) VALUES ('MaxBet', 5)
INSERT INTO integers(name, value) VALUES ('StartCredits', 100)
INSERT INTO integers(name, value) VALUES ('TargetMargin', 25)
GO
