<!-- WebPok.aspx -->
<%@ Page Language="C#" Inherits="Poker.WebPok" Src="WebPok.cs" %>

<html>
<head>
  <title>
    .NET Video Poker - The WebForms Version
  </title>
</head>
<body>
<center>
<form runat="server">

<asp:table
   border="1"
   cellSpacing="0"
   cellPadding="5"
   runat="server">

  <asp:tablerow runat="server">
    <asp:tableCell
      columnSpan="5"
      horizontalAlign="center"
      runat="server">
      <asp:label
        text=".NET Video Poker"
        Font-Name="Verdana"
        Font-Size="12pt"
        Font-Bold="true"
        runat="server"/>
    </asp:tableCell>
  </asp:tablerow>

  <asp:tablerow runat="server">
    <asp:tableCell
      columnSpan="5"
      horizontalAlign="center"
      runat="server">
      <asp:label
        id="messageLabel"
        text="Click DEAL to Start"
        Font-Name="Verdana"
        Font-Size="12pt"
        Font-Bold="true"
        runat="server"/>
    </asp:tableCell>
  </asp:tablerow>

  <asp:tablerow runat="server">

    <asp:tableCell
      horizontalAlign="center"
      runat="server">
      <asp:image
        id="card1"
        ImageUrl="images/cb.gif"
        runat="server"/>
    </asp:tableCell>

    <asp:tableCell
      horizontalAlign="center"
      runat="server">
      <asp:image
        id="card2"
        ImageUrl="images/cb.gif"
        runat="server"/>
    </asp:tableCell>

    <asp:tableCell
      horizontalAlign="center"
      runat="server">
      <asp:image
        id="card3"
        ImageUrl="images/cb.gif"
        runat="server"/>
    </asp:tableCell>

    <asp:tableCell
      horizontalAlign="center"
      runat="server">
      <asp:image
        id="card4"
        ImageUrl="images/cb.gif"
        runat="server"/>
    </asp:tableCell>

    <asp:tableCell
      horizontalAlign="center"
      runat="server">
      <asp:image
        id="card5"
        ImageUrl="images/cb.gif"
        runat="server"/>
    </asp:tableCell>

  </asp:tablerow>

  <asp:tablerow runat="server">

    <asp:tableCell
      horizontalAlign="center"
      runat="server">
      <asp:checkBox
        id="hold1"
        text="HOLD"
        enabled="false"
        Font-Name="Verdana"
        Font-Size="12pt"
        Font-Bold="true"
        runat="server"/>
    </asp:tableCell>

    <asp:tableCell
      horizontalAlign="center"
      runat="server">
      <asp:checkBox
        id="hold2"
        text="HOLD"
        enabled="false"
        Font-Name="Verdana"
        Font-Size="12pt"
        Font-Bold="true"
        runat="server"/>
    </asp:tableCell>

    <asp:tableCell
      horizontalAlign="center"
      runat="server">
      <asp:checkBox
        id="hold3"
        text="HOLD"
        enabled="false"
        Font-Name="Verdana"
        Font-Size="12pt"
        Font-Bold="true"
        runat="server"/>
    </asp:tableCell>

    <asp:tableCell
      horizontalAlign="center"
      runat="server">
      <asp:checkBox
        id="hold4"
        text="HOLD"
        enabled="false"
        Font-Name="Verdana"
        Font-Size="12pt"
        Font-Bold="true"
        runat="server"/>
    </asp:tableCell>

    <asp:tableCell
      horizontalAlign="center"
      runat="server">
      <asp:checkBox
        id="hold5"
        text="HOLD"
        enabled="false"
        Font-Name="Verdana"
        Font-Size="12pt"
        Font-Bold="true"
        runat="server"/>
    </asp:tableCell>

  </asp:tablerow>

  <asp:tablerow runat="server">
    <asp:tableCell
      columnSpan="5"
      horizontalAlign="center"
      runat="server">
      <asp:button
        id="dealDrawButton"
        text="DEAL"
        Font-Name="Verdana"
        Font-Size="12pt"
        Font-Bold="true"
        OnClick="dealDrawHandler"
        runat="server"/>
    </asp:tableCell>
  </asp:tablerow>

</asp:table>

<asp:label id="handLabel" visible="false" runat="server"/>
</form>
<center>
</body>
</html>
