<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:msxsl="urn:schemas-microsoft-com:xslt" >

<xsl:template match="XmlRep">
  <html><head><title>Video Poker Machine Report</title>
    <link rel="stylesheet" href="pokrep.css"></link>
  </head><body><center>
    <h2>Video Poker Machine Report</h2>
    <table cellpadding='2' cellspacing='1' cols='2' border='1'>
    <xsl:apply-templates/>
    </table>
  </center></body></html>
</xsl:template>

<xsl:template match=
  "TakenIn|PaidOut|Profit|HouseMargin|Delta|Bias">
  <tr><td>
    <xsl:if test="name(.)='TakenIn'">Taken In</xsl:if>
    <xsl:if test="name(.)='PaidOut'">Paid Out</xsl:if>
    <xsl:if test="name(.)='Profit'">Profit</xsl:if>
    <xsl:if test="name(.)='HouseMargin'">House Margin</xsl:if>
    <xsl:if test="name(.)='Delta'">Delta</xsl:if>
    <xsl:if test="name(.)='Bias'">Bias</xsl:if>
  </td><td>
  <xsl:value-of select="." /></td></tr>
</xsl:template>

</xsl:stylesheet>
