Option Strict On    ' no implicit type conversions
Option Explicit On  ' variables must be declared

Imports System
Imports System.Diagnostics

Namespace Poker
  Public Class MsgLog

    Private Sub New() ' disallow instantiation
    End Sub

    Public Shared Sub Write(errMsg As String) ' shared class method
      Dim now As DateTime = DateTime.Now
      errMsg =  String.Format("{0} : {1}", now, errMsg)
      Dim log As EventLog = New EventLog("Application", ".", "Poker")
      log.WriteEntry(errMsg, EventLogEntryType.Error)
    End Sub

  End Class
End Namespace